---
updatedAt: 2026-04-23T18:12:51.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Create infraction report (outdated)

This endpoint is outdated and no longer works. It is recommended you call [Create funds recovery](https://developers.pismo.io/pismo-docs/reference/post-create-funds-recovery) instead.

Creates an infraction report. Both the debited participant and the credited participant can create an infraction report.

For refund requests, the original transaction payer's payment service provider (PSP) **must** create the report. 

Only the PSP or the original transaction's recipient can cancel a refund. 

On PSP timeout, a `202 Accepted` response is returned and the process continues asynchronously, eventually emitting a success or failure event.

This endpoint generates a <a href="https://developers.pismo.io/events/docs/pix-dict-infraction-status-change-1" >Pix infraction status changed</a> event.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Infraction reports",
      "description": "Manage Pix transaction infraction reports endpoints"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "IdempotencyKeyHeader": {
        "name": "Idempotency-Key",
        "in": "header",
        "description": "A unique UUID identifier to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "550e8400-e29b-41d4-a716-446655440000"
      }
    },
    "headers": {
      "XCidResponseHeader": {
        "description": "Request tracking identifier.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "BacenCreationDateTime": {
        "type": "string",
        "format": "date-time",
        "description": "Date of infraction report creation. RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`. \n",
        "example": "2020-08-13T13:49:03Z"
      },
      "BacenLastModifiedDateTime": {
        "type": "string",
        "format": "date-time",
        "description": "Date of infraction report modification. RFC 3339  date-time value. For example -  `2023-04-12T23:20:50.52Z`. \n",
        "example": "2020-08-13T13:49:03Z"
      },
      "ContactInformation": {
        "type": "object",
        "required": [
          "phone",
          "email"
        ],
        "properties": {
          "phone": {
            "type": "string",
            "maxLength": 16,
            "description": "Contact phone number",
            "example": "551154874551"
          },
          "email": {
            "type": "string",
            "description": "Contact email",
            "maxLength": 77,
            "example": "polly_ester@email.com"
          }
        }
      },
      "CreateInfractionReportResponse": {
        "type": "object",
        "required": [
          "id",
          "transaction_id",
          "reason",
          "situation_type",
          "status",
          "reporter_participant",
          "counterparty_participant",
          "bacen_creation_datetime",
          "bacen_last_modified_datetime"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/InfractionReportID"
          },
          "transaction_id": {
            "$ref": "#/components/schemas/InfractionTransactionID"
          },
          "reason": {
            "$ref": "#/components/schemas/InfractionReason"
          },
          "situation_type": {
            "$ref": "#/components/schemas/InfractionReportSituation"
          },
          "status": {
            "$ref": "#/components/schemas/InfractionReportStatus"
          },
          "reporter_participant": {
            "$ref": "#/components/schemas/InfractionReporterParticipant"
          },
          "counterparty_participant": {
            "$ref": "#/components/schemas/InfractionCounterpartyParticipant"
          },
          "bacen_creation_datetime": {
            "$ref": "#/components/schemas/BacenCreationDateTime"
          },
          "bacen_last_modified_datetime": {
            "$ref": "#/components/schemas/BacenLastModifiedDateTime"
          },
          "details": {
            "$ref": "#/components/schemas/InfractionDetails"
          },
          "contact_information": {
            "$ref": "#/components/schemas/ContactInformation"
          }
        }
      },
      "InfractionCounterpartyParticipant": {
        "type": "string",
        "format": "number",
        "description": "Transaction recipient participant's ISPB (Identifcador do Sistema de Pagamento Brazil) number - the Brazilian Payment System identifier, an 8-digit value.\n",
        "example": "78265328"
      },
      "InfractionCreationRequest": {
        "type": "object",
        "required": [
          "transaction_id",
          "reason",
          "situation_type"
        ],
        "properties": {
          "transaction_id": {
            "$ref": "#/components/schemas/InfractionTransactionID"
          },
          "situation_type": {
            "$ref": "#/components/schemas/InfractionReportSituation"
          },
          "reason": {
            "$ref": "#/components/schemas/InfractionReason"
          },
          "details": {
            "$ref": "#/components/schemas/InfractionDetails"
          },
          "contact_information": {
            "$ref": "#/components/schemas/ContactInformation"
          }
        }
      },
      "InfractionDetails": {
        "type": "string",
        "description": "Details that can help the receiving participant to analyze the suspected violation\n",
        "example": "Details about infraction",
        "maxLength": 2000
      },
      "InfractionReason": {
        "type": "string",
        "description": "Reason for opening infraction report",
        "example": "REFUND_REQUEST",
        "enum": [
          "REFUND_REQUEST",
          "REFUND_CANCELLED"
        ]
      },
      "InfractionReporterParticipant": {
        "type": "string",
        "format": "number",
        "description": "Transaction payer participant's ISPB (Identifcador do Sistema de Pagamento Brazil) number - the Brazilian Payment System identifier, an 8-digit value.\n",
        "example": "78265328"
      },
      "InfractionReportID": {
        "type": "string",
        "format": "uuid",
        "maxLength": 36,
        "description": "Infraction report ID (UUID)",
        "example": "cfdff46e-5d58-45b8-b7aa-591a65f74444"
      },
      "InfractionReportSituation": {
        "type": "string",
        "description": "What gave rise to the infraction notification",
        "example": "SCAM",
        "enum": [
          "SCAM",
          "ACCOUNT_TAKEOVER",
          "COERCION",
          "FRAUDULENT_ACCESS",
          "OTHER",
          "UNKNOWN"
        ]
      },
      "InfractionReportStatus": {
        "type": "string",
        "description": "Infraction report status",
        "example": "OPEN",
        "enum": [
          "OPEN",
          "ACKNOWLEDGED",
          "CLOSED",
          "CANCELLED"
        ]
      },
      "InfractionTransactionID": {
        "type": "string",
        "description": "Original transaction's end to end ID.",
        "example": "E9999901012341234123412345678900"
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      }
    },
    "responses": {
      "202InfractionAccepted": {
        "description": "Accepted",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Creation request accepted and will processed async": {
                "value": {
                  "code": "EPDA0148",
                  "message": "Infraction registration will continue asynchronously"
                }
              },
              "Cancellation request accepted and will processed async": {
                "value": {
                  "code": "EPDA0149",
                  "message": "Infraction cancel will continue asynchronously"
                }
              },
              "Close request accepted and will processed async": {
                "value": {
                  "code": "EPDA0149",
                  "message": "Infraction close will continue asynchronously"
                }
              }
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider service error": {
                "value": {
                  "code": "EPDG0013",
                  "message": "Unauthorized access to the provider service"
                }
              }
            }
          }
        }
      },
      "403Forbidden": {
        "description": "Forbidden",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "EPDA0009": {
                "summary": "Missing required header 'x-tenant'",
                "value": {
                  "code": "EPDA0009",
                  "message": "Missing required header 'x-tenant'"
                }
              },
              "EPDA0010": {
                "summary": "Missing required header 'x-account-id'",
                "value": {
                  "code": "EPDA0010",
                  "message": "Missing required header 'x-account-id'"
                }
              },
              "EPDA0152": {
                "summary": "Missing required param 'id'",
                "value": {
                  "code": "EPDA0152",
                  "message": "Missing required param 'id'"
                }
              }
            }
          }
        }
      },
      "429TooManyRequests": {
        "description": "Too many requests",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            }
          }
        }
      },
      "502BadGateway": {
        "description": "Bad Gateway",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider authentication service error": {
                "value": {
                  "code": "EPDG0020",
                  "message": "Provider authentication service is unable to complete the request"
                }
              }
            }
          }
        }
      },
      "504GatewayTimeout2": {
        "description": "Gateway Timeout",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Service timeout": {
                "value": {
                  "code": "EPDA0000",
                  "message": "Timeout while executing the request"
                }
              },
              "Provider timeout": {
                "value": {
                  "code": "EPDG0000",
                  "message": "Timeout while executing the request"
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v2/pix/infraction-reports": {
      "post": {
        "summary": "Create infraction report (outdated)",
        "description": "This endpoint is outdated and no longer works. It is recommended you call [Create funds recovery](https://developers.pismo.io/pismo-docs/reference/post-create-funds-recovery) instead.\n\nCreates an infraction report. Both the debited participant and the credited participant can create an infraction report.\n\nFor refund requests, the original transaction payer's payment service provider (PSP) **must** create the report. \n\nOnly the PSP or the original transaction's recipient can cancel a refund. \n\nOn PSP timeout, a `202 Accepted` response is returned and the process continues asynchronously, eventually emitting a success or failure event.\n\nThis endpoint generates a <a href=\"https://developers.pismo.io/events/docs/pix-dict-infraction-status-change-1\" >Pix infraction status changed</a> event.\n",
        "operationId": "post-v2-pix-infraction-create",
        "tags": [
          "Infraction reports"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/IdempotencyKeyHeader"
          }
        ],
        "requestBody": {
          "description": "Infraction report",
          "content": {
            "*/*": {
              "schema": {
                "$ref": "#/components/schemas/InfractionCreationRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "OK",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CreateInfractionReportResponse"
                }
              }
            }
          },
          "202": {
            "$ref": "#/components/responses/202InfractionAccepted"
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Invalid binding": {
                    "value": {
                      "code": "EPDA0002",
                      "message": "Failed to unmarshal request body"
                    }
                  },
                  "Validate errors": {
                    "value": {
                      "code": "EPDA0003",
                      "message": "There are invalid fields when trying to validate request body",
                      "details": {
                        "payload": [
                          {
                            "field": "InfractionReportRequest.infraction_type",
                            "message": "Field validation for 'infraction_type' failed on the 'oneof' tag"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/429TooManyRequests"
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Provider service communication error": {
                    "value": {
                      "code": "EPDA0029",
                      "message": "Internal errors while attempting to communicate with the provider service"
                    }
                  },
                  "Invalid client error": {
                    "value": {
                      "code": "EPDG0005",
                      "message": "Invalid Pix provider '{provider_name}'"
                    }
                  },
                  "Failed marshalling object": {
                    "value": {
                      "code": "EPDG0006",
                      "message": "Failed to marshal JSON object"
                    }
                  },
                  "Failed unmarshalling object": {
                    "value": {
                      "code": "EPDG0007",
                      "message": "Failed to unmarshal JSON object"
                    }
                  },
                  "Error reading response data": {
                    "value": {
                      "code": "EPDG0010",
                      "message": "I/O error while reading response data: '{details}'"
                    }
                  },
                  "Provider service error": {
                    "value": {
                      "code": "EPDG0016",
                      "message": "Provider service returned an internal error while trying to access the resource",
                      "details": {
                        "external": [
                          {
                            "code": "PBE315",
                            "message": "Generic error"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "502": {
            "$ref": "#/components/responses/502BadGateway"
          },
          "503": {
            "description": "Service Unavailable",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/message.Message"
                },
                "examples": {
                  "Provider service unavailable": {
                    "value": {
                      "code": "EPDG0017",
                      "message": "Provider service resource is unavailable"
                    }
                  },
                  "Provider authentication service unavailable": {
                    "value": {
                      "code": "EPDG0021",
                      "message": "Provider authentication service is unavailable"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "$ref": "#/components/responses/504GatewayTimeout2"
          }
        },
        "security": [
          {
            "BearerAuth": []
          }
        ]
      }
    }
  }
}
```